MAKEREPROPKG(1)

BEZEICHNUNG
makerepropkg - Baut ein Paket neu, um zu prüfen, ob es reproduzierbar ist

ÜBERSICHT

makerepropkg [OPTIONEN] [<Paketdatei|Paketname>…]

BESCHREIBUNG

Wird ein Pfad zu einem von Pacman gebauten Paket angegeben, dann wird versucht, es mittels der PKGBUILD im aktuellen Verzeichnis neu zu bauen. Das Paket wird in einer Umgebung gebaut, die so ähnlich wie möglich zu der ist, in der das Paket ursprünglich gebaut wurde, indem ein Chroot erstellt wird, das den Informationen entspricht, die in dem Manifest BUILDINFO(5) des Pakets hinterlegt sind. Im Erfolgsfall wird das entstandene Paket mit dem Eingabepaket verglichen und makerepropkg berichtet dann, ob die Artefakte identisch sind.

Werden mehrere Pakete angegeben, werden die zusätzlichen Dateien als geteilte Pakete angenommen und als zusätzliche Artefakte betrachtet, die im Überprüfungsschritt verglichen werden sollen.

Stattdessen kann ein gültiges Ziel für pacman -S angegeben werden und makerepropkg wird es bei Bedarf in seinen Zwischenspeicher herunterladen. Dies ist hauptsächlich nützlich, um das Repositorium anzugeben, von dem es geholt werden soll. Falls keine positionsabhängigen Argumente angegeben sind, werden die Ziele aus der PKGBUILD ausgelesen.

In beiden Fällen wird der Paketname in einen Dateinamen aus dem Zwischenspeicher konvertiert und makerepropkg wird fortfahren, als ob der Dateiname ursprünglich angegeben worden wäre.

Dies implementiert einen Überprüfer für pacman/libalpm-Pakete gemäß des -Projekts.

OPTIONEN

-d
    Falls Pakete nicht reproduzierbar sind, werden sie mit diffoscope(1) verglichen.

-n
    Führt die Funktion check() im PKGBUILD nicht aus.

-c
    Setzt das Zwischenspeicherverzeichnis von Pacman.

-M <Datei>
    Ort der makepkg(8)-Konfigurationsdatei. Zusätzliche Ergänzungen (z.B. Bauschalter für zusätzliche Sprachen) können in <Datei>.d/*.conf abgelegt werden.

-l <Chroot>
    Der Verzeichnisname, der als Chroot-Namensraum verwandt werden soll. Nützlich, um mehrere Kopien zu verwalten. Vorgabe: $USER

-h
    Zeigt diesen Hinweis zur Verwendung.

HOMEPAGE

Bitte melden Sie Fehler und Funktionalitätswünsche auf Englisch in dem Fehlererfassungssystem. Bitte versuchen Sie bei Fehlern so gut wie möglich, einen reproduzierbaren Testfall zu erstellen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer: debian-l10n-german@lists.debian.org.